Bug 1281552 - Default logdriver breaks "docker logs"
Default logdriver breaks "docker logs"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 13:34 EST by Marius Vollmer
Modified: 2015-12-16 09:55 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 09:55:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Vollmer 2015-11-12 13:34:23 EST
Description of problem:

The logdriver used by docker.service ("journald") doesn't allow reading of logs via "docker logs".

Version-Release number of selected component (if applicable):

docker-1.8.2-10.git28c300f.fc23.x86_64

How reproducible:

Always

Steps to Reproduce:
1. virt-builder fedora-23
2. # dnf install docker
3. # systemctl start docker
4. # docker run --name bugger busybox /bin/echo hi
5. # docker logs bugger

Actual results:

logs" command is supported only for "json-file" logging driver (got: journald)

Expected results:

hi
Comment 1 Daniel Walsh 2015-11-13 09:55:13 EST
This should only be set when we go to docker-1.9 which supports journald as a backend for docker logs.
Comment 2 Stef Walter 2015-11-17 05:20:36 EST
This breaks Cockpit and its integration tests.
Comment 4 Daniel Walsh 2015-12-01 17:03:31 EST
Lokesh we need a new docker-1.9 for Fedora 23
Comment 5 Colin Walters 2015-12-16 09:55:45 EST
This is fixed in docker-1.9.1-4 (Fedora Atomic Host 22.32).

Note You need to log in before you can comment on or make changes to this bug.